Results 1 to 8 of 8

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Any way to Tweak of Fake iTunes?

  1. #1
    Default Any way to Tweak of Fake iTunes?
    There must be a way to tell iTunes that the iPhone is not Updated with the latest Firmware.

    Somewhere this CAN. Any one or programer know this?
    If this can be Done...then perhaps downgrading could be Posible.
    Cause the Error when downgrading from 2.2.1 to 2.2 is that iTunes is consantly checking everything.

    If we can disable or hack that iTunes thingy we can then downgrade with 2.2 Original then Unlock it with Yellowsnow back.

    Or am I talking trash????

  2. #2
    If we re talking about for 3G,we need a new yellowSnow version that compatible with 2.30.03 baseband.Even if you downgrade to 2.2,baseband would still be the same...

  3. #3
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Quote Originally Posted by eyepoper View Post
    ...Somewhere this CAN. Any one or programer know this? If this can be Done...then perhaps downgrading could be Posible. Cause the Error when downgrading from 2.2.1 to 2.2 is that iTunes is consantly checking everything.
    If we can disable or hack that iTunes thingy we can then downgrade with 2.2 Original then Unlock it with Yellowsnow back.
    Or am I talking trash????
    It does seem odd that the baseband can be upgraded ... but not downloaded, even when using Apples own FW. But then I'm not an iPhone expert or have the baseband/update knowledge.

    Does anybody know the technical reasons why it's possible to upgraded the baseband, but not downgrade? ie(2.2.1 w/2.30..) to 2.2 w/2.28...)

    Yes, I know it's not possible!! I'm looking for the technical reasons please

  4. #4
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    iTunes does not have the ability to downgrade the baseband... it's not in the programming. That's why when you want do downgrade your baseband you have to completely erase the existing one first. When you DFU restore from 2.2.1 to 2.2 iTunes gives error 1013 which is means the firmware and baseband don't match. It's not a matter of manipulating iTunes.. its a matter of erasing the 2.30.03 baseband... THEN DFU restoring to FW 2.2. But that tool doesn't exist so we're outta luck.

  5. #5
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Quote Originally Posted by Poseidon79 View Post
    ...when you want do downgrade your baseband you have to completely erase the existing one first...
    Do I understand this correctly?

    -- In order to write new a baseband, it must 1st be erased?

    -- What about 2.2 to 2.2.1? Does 2.2.1 erase 2.28 baseband 1st, then write 2.30? Or do we really know

  6. #6
    We re talking about downgrading.imo,the question would be like this:How could we downgrade our baseband before 2.2.1 fw.I think this problem is only for 2.2.1...

  7. #7
    Look the Thing is...iTunes is doing a Checksum Somewhere before it writes the Baseband. That part of iTunes we need to Disable..
    If you can stop iTunes checking for the Baseband to be Correct then everything will be fine.

    Cause if you pay attention, iTunes recognize the phone even if its in DFU mode, but QiuckPwn does not. I mean Automaticaly.

    So everything sits in iTunes.If we disable or hack that stupid check thing...we can then Overwrite everything we Want.

    I don`t have any knowledge of programming but it seems to be a logic thinking thing. Most programs work like that and I do think this one also.
    Otherwise we iTunes wont give those Error Codes.

    Let try working on iTunes Hack?
    This should will do it !

  8. The Following User Says Thank You to eyepoper For This Useful Post:

    Mes (2009-02-24)

  9. #8
    This situation is Driving me CRAZYYY....NO SOLUTION yet for 2.30... :-(
    My phone is there cathing Dust Bunnies.
    Which Sim Unlock works really with 2.30 baseband? Someone can tell me.!
    Can`t seem to wait and wait so long.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •